Package com.sap.ai.sdk.orchestration

# Class OrchestrationEmbeddingModel

java.lang.Object
com.sap.ai.sdk.orchestration.OrchestrationEmbeddingModel

All Implemented Interfaces:
  `AiModel`

public final class OrchestrationEmbeddingModel extends Object implements AiModel
Configuration for embedding models in the Orchestration service.

Since:
  1.12.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OrchestrationEmbeddingModel`
  `AMAZON_TITAN_EMBED_TEXT`
  Amazon Titan Embed Text model
  `static final OrchestrationEmbeddingModel`
  `GEMINI_EMBEDDING`
  Google Cloud Platform Gemini Embedding model
  `static final OrchestrationEmbeddingModel`
  `NVIDIA_LLAMA_32_NV_EMBEDQA_1B`
  NVIDIA LLaMA 3.2 7B NV EmbedQA model
  `static final OrchestrationEmbeddingModel`
  `TEXT_EMBEDDING_3_LARGE`
  Azure OpenAI Text Embedding 3 Large model
  `static final OrchestrationEmbeddingModel`
  `TEXT_EMBEDDING_3_SMALL`
  Azure OpenAI Text Embedding 3 Small model

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrchestrationEmbeddingModel(String name)`
  Creates a new embedding model configuration with the specified name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `dimensions()`
  The number of dimensions for the output embeddings.
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `name()`
  The name of the embedding model.
  `Boolean`
  `normalize()`
  Whether to normalize the embedding vectors.
  `String`
  `toString()`
  `String`
  `version()`
  The version of the model, defaults to latest if not specified.
  `OrchestrationEmbeddingModel`
  `withDimensions(Integer dimensions)`
  The number of dimensions for the output embeddings.
  `OrchestrationEmbeddingModel`
  `withName(String name)`
  The name of the embedding model.
  `OrchestrationEmbeddingModel`
  `withNormalize(Boolean normalize)`
  Whether to normalize the embedding vectors.
  `OrchestrationEmbeddingModel`
  `withVersion(String version)`
  The version of the model, defaults to latest if not specified.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TEXT_EMBEDDING_3_SMALL

    public static final OrchestrationEmbeddingModel TEXT_EMBEDDING_3_SMALL
    Azure OpenAI Text Embedding 3 Small model

  - ### TEXT_EMBEDDING_3_LARGE

    public static final OrchestrationEmbeddingModel TEXT_EMBEDDING_3_LARGE
    Azure OpenAI Text Embedding 3 Large model

  - ### AMAZON_TITAN_EMBED_TEXT

    public static final OrchestrationEmbeddingModel AMAZON_TITAN_EMBED_TEXT
    Amazon Titan Embed Text model

  - ### NVIDIA_LLAMA_32_NV_EMBEDQA_1B

    public static final OrchestrationEmbeddingModel NVIDIA_LLAMA_32_NV_EMBEDQA_1B
    NVIDIA LLaMA 3.2 7B NV EmbedQA model

  - ### GEMINI_EMBEDDING

    public static final OrchestrationEmbeddingModel GEMINI_EMBEDDING
    Google Cloud Platform Gemini Embedding model

- ## Constructor Details

  - ### OrchestrationEmbeddingModel

    public OrchestrationEmbeddingModel(@Nonnull String name)
    Creates a new embedding model configuration with the specified name.
    Parameters:
      `name` - the model name

- ## Method Details

  - ### name

    @Nonnull public String name()
    The name of the embedding model.
    Specified by:
      `name` in interface `AiModel`
    Returns:
      The name of the model.

  - ### version

    @Nullable public String version()
    The version of the model, defaults to latest if not specified.
    Specified by:
      `version` in interface `AiModel`
    Returns:
      The version of the model, or null if not specified.

  - ### dimensions

    @Nullable public Integer dimensions()
    The number of dimensions for the output embeddings.

  - ### normalize

    @Nullable public Boolean normalize()
    Whether to normalize the embedding vectors.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### withName

    public OrchestrationEmbeddingModel withName(@Nonnull String name)
    The name of the embedding model.
    Returns:
      `this`.

  - ### withVersion

    public OrchestrationEmbeddingModel withVersion(@Nullable String version)
    The version of the model, defaults to latest if not specified.
    Returns:
      `this`.

  - ### withDimensions

    public OrchestrationEmbeddingModel withDimensions(@Nullable Integer dimensions)
    The number of dimensions for the output embeddings.
    Returns:
      `this`.

  - ### withNormalize

    public OrchestrationEmbeddingModel withNormalize(@Nullable Boolean normalize)
    Whether to normalize the embedding vectors.
    Returns:
      `this`.